Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2019-03-14 11:21:56

stog
Member
Registered: 2019-03-14
Posts: 3

Salome Meca Crash when opening a module

Hello everyone,

I'm a beginner with this software, I've just installed Salome meca using the salome_meca 2018.0.1 setup file. I'm using Ubuntu 17.10. I can launch Salome but when choosing a module (for example Geometry or Mesh) it crashes. When launching Salome from terminal I get some warning, maybe this has something to do. See terminal output below after crash and Ctrl-C.

Thanks a lot for your help!

Regards,
Sebastian

====================== TERMINAL OUTPUT ===============================
seba@st-linux:~/salome_meca/appli_V2018.0.1_public$ ./salome
runSalome running on st-linux
Error when trying to access active network connections.
Traceback (most recent call last):
  File "/home/seba/salome_meca/appli_V2018.0.1_public/bin/salome/PortManager.py", line 111, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/home/seba/salome_meca/V2018.0.1_public/prerequisites/Python-2710/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/home/seba/salome_meca/V2018.0.1_public/prerequisites/Python-2710/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Searching for a free port for naming service: 2811 - OK
Searching Naming Service + found in 0.1 seconds
Searching /Kernel/Session in Naming Service +++libGL error: unable to load driver: nouveau_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: nouveau
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
Warning: this type (SALOME_MED/MEDCouplingFieldDoubleCorbaInterface,objref) already exists, it will be ignored.
found in 1.5 seconds
Start SALOME, elapsed time :   1.6 seconds
****************************************************************
     Warning: module HYBRIDPLUGIN is improperly configured!
     Module HYBRIDPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module NETGENPLUGIN is improperly configured!
     Module NETGENPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GMSHPLUGIN is improperly configured!
     Module GMSHPLUGIN will not be available in GUI mode!libGL error: unable to load driver: nouveau_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: nouveau
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
TKOpenGl.WinSystem | Type: Error | ID: 0 | Severity: High | Message:
  glXMakeCurrent() has failed!

****************************************************************
libGL error: unable to load driver: nouveau_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: nouveau
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
TKOpenGl.WinSystem | Type: Error | ID: 0 | Severity: High | Message:
  glXMakeCurrent() has failed!

Last edited by stog (2019-03-14 11:22:50)

Offline

#2 2019-03-15 07:34:06

GPSalachs
Member
Registered: 2018-03-10
Posts: 108

Re: Salome Meca Crash when opening a module

There might be a problem with your graphic card, cf:
https hmm/code-aster.org/forum2/viewtopic … 220#p57220

Offline

#3 2019-03-15 09:07:54

stog
Member
Registered: 2019-03-14
Posts: 3

Re: Salome Meca Crash when opening a module

Thanks for your help.
I started by removing the 3 libraries libstdc+++, and that solved the problem.
I have also updated my graphics card drivers (nvidia) only to be sure.

I still have the warning messages about HYBRID and NET(something) not being correctly loaded, but without any apparent issue during usage.

Now all it's working, and starting to train myself in order to use Salome meca. It's not so easy... :-)

Last edited by stog (2019-03-15 09:10:01)

Offline

#4 2019-05-24 14:10:38

sternik
Member
Registered: 2016-10-18
Posts: 4

Re: Salome Meca Crash when opening a module

Hello Sebastian,
I am also new in Salome and Code Aster world. I am going to use CA for geomechanical/geotechnical analyses.
Just after installation of salome I could not launch the program by clicking on the icon, but I could launch salome from terminal command line.
In the latter case I obtained the same warnings about improperly configured modules HYBRIDPLUGIN, NETGENPLUGIN and GMSHPLUGIN.
After removing three libstdc++ libraries from /salome_meca/V2018.0.1_public/prerequisites/lib/debianForSalome/lib I can launch salome clicking on its icon (I don't have to run terminal), but warnings about the improperly configured modules remained when launching from terminal.
So, my question is: have you managed to solve the problem with the warnings? And can you carry out the whole FE analysis without any problems inspite of the appearing warnings?

Regards,
Krzysztof

Last edited by sternik (2019-05-24 14:12:52)

Offline

#5 2019-05-24 20:02:33

AsterO'dactyle
Administrator
Registered: 2007-11-29
Posts: 250

Re: Salome Meca Crash when opening a module

Hello,

Don't worry about these warnings

HYBRIDPLUGIN, NETGENPLUGIN and GMSHPLUGIN ares modules not available in salome_meca (meshers)


Code_Asterの開発者

Offline

Board footer